package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumLevelConfigDiscountStatus {

    DISABLE(0, "停用"),
    ENABLE(1, "启用"),
    ;

    public static EnumLevelConfigDiscountStatus getEnum(Integer code) {
        for (EnumLevelConfigDiscountStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumLevelConfigDiscountStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
